package conf

const DriverName = "mssql"

type DbConf struct {
	Host   string
	Port   int
	User   string
	Pwd    string
	DbName string
}

var MongDbConfig DbConf = DbConf{
	Host:   "127.0.0.1",
	Port:   27017,
	DbName: "logDb",
}

//SJA生产服务器配置
var MasterDbConfig DbConf = DbConf{
	Host:   "localhost",
	Port:   1433,
	User:   "lapp",
	Pwd:    "123fis",
	DbName: "SJA_APS",
}

//线上测试服务器配置
//var MasterDbConfig DbConf = DbConf{
//	Host:   "127.0.0.1",
//	Port:   1433,
//	User:   "sa",
//	Pwd:    "Leit2020",
//	DbName: "SJA_APS",
//}

//本地服务器配置
//var MasterDbConfig DbConf = DbConf{
//	Host:   "127.0.0.1",
//	Port:   1433,
//	User:   "sa",
//	Pwd:    "123456",
//	DbName: "SJA_APS",
//}
