package models

/***
*CreateBy:lou
*Date:2020/5/15
*TableName:部门表
**********/

type Departmenttab struct {
	Pid            int    `xorm:"not null pk comment('工厂ID') INT(0)" json:"pid"`
	Depid          int    `xorm:"not null pk comment('部门ID') INT(0)" json:"depid"`
	Descr          string `xorm:"comment('部门名称') VARCHAR(40)" json:"descr"`
	Pdepid         int    `xorm:"comment('上级部门') INT(0)" json:"pdepid"`
	Dispos         int    `xorm:"comment('显示排序') INT(0)" json:"dispos"`
	Resper         string `xorm:"comment('负责人') VARCHAR(40)" json:"resper"`
	Email          string `xorm:"comment('邮箱') VARCHAR(40)" json:"email"`
	Status         int    `xorm:"comment('状态') INT(0)" json:"status"`
	Createtime     string `xorm:"comment('创建时间') VARCHAR(14)" json:"createtime"`
	Lastmodifytime string `xorm:"comment('最近一次更新时间') VARCHAR(14)" json:"lastmodifytime"`
	Lastmodify     string `xorm:"comment('最近一次更新人员') VARCHAR(40)" json:"lastmodify"`
}
