package models

import "LAPP_SJA_ME/utils"

//属性和属性组关联表
type MeAttributegroupValst struct {
	Finr      int           `xorm:"pk comment('工厂号') int(0)" json:"me_attributegroup_valst-finr"`
	Attrcode  int           `xorm:"pk comment('属性ID') int(0)" json:"me_attributegroup_valst-attrcode"`
	Attrgroup int           `xorm:"pk comment('属性ID') int(0)" json:"me_attributegroup_valst-attrgroup"`
	Lastmodif string        `xorm:"comment('最近一次更改时间') VARCHAR(14)" json:"me_attributegroup_valst-lastmodif"`
	Lastuser  string        `xorm:"comment('最近一次更改人') VARCHAR(20)" json:"me_attributegroup_valst-lastuser"`
	Credatuz  string        `xorm:"comment('创建时间') VARCHAR(14)" json:"me_attributegroup_valst-credatuz"`
}

func (t *MeAttributegroupValst) TableName() string {
	return "me_attributegroup_valst"
}

// 清除string字段的右侧空格
func (t *MeAttributegroupValst) Clipped() {
	utils.TrimStruct(t, *t)
}