package models

import (
	"LAPP_SJA_ME/utils"
)

//生产订单表
type Pln_workorder struct {
	Finr          int                      `xorm:"pk" json:"pln_workorder.finr"`
	Workordernr   string                   `xorm:"pk" json:"pln_workorder.workordernr"`
	Custordernr   string                   `json:"pln_workorder.custordernr"`
	Projnr        string                   `json:"pln_workorder.projnr"`
	Orderinfo     string                   `json:"pln_workorder.orderinfo"`
	Supplygroupid string                   `json:"pln_workorder.supplygroupid"`
	Partfamilyid  string                   `json:"pln_workorder.partfamilyid"`
	Partid        string                   `json:"pln_workorder.partid"`
	Status        int                      `json:"pln_workorder.status"`
	Shippable     int                      `json:"pln_workorder.shippable"`
	Pickstatus    int                      `json:"pln_workorder.pickstatus"` // 拣料状态：0=未拣料；1=已拣料
	Mrpstatus     int                      `json:"pln_workorder.mrpstatus"`  // 物料需求计算状态：0=未计算；1=已计算
	Packstatus    int                      `json:"pln_workorder.packstatus"` // 发运包装状态：0=未包装；1=已包装
	Ordertype     string                   `json:"pln_workorder.ordertype"`
	Worklineid    string                   `json:"pln_workorder.worklineid"`
	Preschedseq   int                      `json:"pln_workorder.preschedseq"`
	Schedseq      int                      `json:"pln_workorder.schedseq"`
	Oemseq        int                      `json:"pln_workorder.oemseq"`
	Schedbegtime  string                   `json:"pln_workorder.schedbegtime"`
	Swet          string                   `json:"pln_workorder.swet"`
	Planqty       int                      `json:"pln_workorder.planqty"`
	Priority      int                      `json:"pln_workorder.priority"`
	Lastmodif     string                   `json:"pln_workorder.lastmodif"`
	Lastuser      string                   `json:"pln_workorder.lastuser"`
	Credatuz      string                   `json:"pln_workorder.credatuz"`
}

func (t *Pln_workorder) Clipped() {
	utils.TrimStruct(t, *t)
}
func (t *Pln_workorder) TableName() string {
	return "pln_workorder"
}