package models

import (
	"LAPP_SJA_ME/utils"
)

//客户订单表
type Pln_custorder struct {
	Finr        	int			`xorm:"pk" json:"pln_custorder.finr"`
	Custordernr   	string		`xorm:"pk" json:"pln_custorder.custordernr"`
	Oemordernr      string		`json:"pln_custorder.oemordernr"`
	Partfamilyid	string		`json:"pln_custorder.partfamilyid"`
	Orderinfo       string		`json:"pln_custorder.orderinfo"`
	Ordertime		string		`json:"pln_custorder.ordertime"`
	Swet			string		`json:"pln_custorder.swet"`
	Projnr			string		`json:"pln_custorder.projnr"`
	Partid 			string		`json:"pln_custorder.partid"`
	Status 			int			`json:"pln_custorder.status"`
	Handlestatus   	string		`json:"pln_custorder.handlestatus"`
	Vin 			string		`json:"pln_custorder.vin"`
	Seqswet    		string		`json:"pln_custorder.seqswet"`
	Oemseq        	int			`json:"pln_custorder.oemseq"`
	Assemblyline	string		`json:"pln_custorder.assemblyline"`
	Unloadingpoint	string		`json:"pln_custorder.unloadingpoint"`
	Calloffnr		int			`json:"pln_custorder.calloffnr"`
	Checksequence	int			`json:"pln_custorder.checksequence"`
	Calloffswet		string		`json:"pln_custorder.calloffswet"`
	Consigneeplant	int			`json:"pln_custorder.consigneeplant"`
	Consigneecompany	int		`json:"pln_custorder.consigneecompany"`
	Consumecompany	int			`json:"pln_custorder.consumecompany"`
	Consumeplant	int			`json:"pln_custorder.consumeplant"`
	Unloadingplace	string		`json:"pln_custorder.unloadingplace"`
	Vehicleidset	string		`json:"pln_custorder.vehicleidset"`
	Vehicleid		string		`json:"pln_custorder.vehicleid"`
	Lastmodif       string		`json:"pln_custorder.lastmodif"`
	Lastuser        string		`json:"pln_custorder.lastuser"`
	Credatuz        string		`json:"pln_custorder.credatuz"`
	Wotablst		[]Pln_workorder `xorm:"-"`
}

func (t *Pln_custorder) Clipped(){
	utils.TrimStruct(t, *t)
}
func (t *Pln_custorder) TableName() string {
	return "pln_custorder"
}