package models

import "LAPP_SJA_ME/utils"

// 零件族主数据
type MePartfamilyAtcodlst struct {
	Finr         int    `xorm:"pk comment('工厂号') int(0)" json:"me_partfamily_atcodlst-finr"`
	Partfamilyid string `xorm:"pk comment('零件族Id') VARCHAR(20)" json:"me_partfamily_atcodlst-partfamilyid"`
	Attrcode     int    `xorm:"pk comment('属性ID') int(0)" json:"me_partfamily_atcodlst-attrcode"`
	Mandatory    int    `xorm:"comment('属性ID') int(0)" json:"me_partfamily_atcodlst-mandatory"`
	Verifyrule   string `xorm:"comment('项目Id') VARCHAR(40)" json:"me_partfamily_atcodlst-verifyrule"`
	Attrvalue1   string `xorm:"comment('项目Id') VARCHAR(40)" json:"me_partfamily_atcodlst-attrvalue1"`
	Attrvalue2   string `xorm:"comment('项目Id') VARCHAR(40)" json:"me_partfamily_atcodlst-attrvalue2"`
	Lastmodif    string `xorm:"comment('最近一次更改时间') VARCHAR(14)" json:"me_partfamily_atcodlst-lastmodif"`
	Lastuser     string `xorm:"comment('最近一次更改人') VARCHAR(20)" json:"me_partfamily_atcodlst-lastuser"`
	Credatuz     string `xorm:"comment('创建时间') VARCHAR(14)" json:"me_partfamily_atcodlst-credatuz"`
}

func (t *MePartfamilyAtcodlst) TableName() string {
	return "me_partfamily_atcodlst"
}

// 清除string字段的右侧空格
func (t *MePartfamilyAtcodlst) Clipped() {
	utils.TrimStruct(t, *t)
}
