package models

import (
	"LAPP_SJA_ME/utils"
)

//零件分配数量表 明细表
type MePartRuleQtyassign struct {
	Finr          int             `xorm:"pk comment('工厂号') Int" json:"me_partrule_qtyassign-finr"`
	Partid        string          `xorm:"pk comment('零件族id') VARCHAR(20)" json:"me_partrule_qtyassign-partid"`
	Projnr        string          `xorm:"pk comment('项目号') VARCHAR(10)" json:"me_partrule_qtyassign-projnr"`
	Ruleid        string          `xorm:"pk comment('规则id') VARCHAR(20)" json:"me_partrule_qtyassign-ruleid"`
	Supplygroupid string          `xorm:"pk comment('供应组id') VARCHAR(20)" json:"me_partrule_qtyassign-supplygroupid"`
	Pos           int             `xorm:"comment('名称') INT" json:"me_partrule_qtyassign-pos"`
	Assignqty     int             `xorm:"comment('零件数量') INT" json:"me_partrule_qtyassign-assignqty"`
	Lastmodif     string          `xorm:"comment('最近一次更改时间') VARCHAR(14)" json:"me_partrule_qtyassign-lastmodif"`
	Lastuser      string          `xorm:"comment('最近一次更改人') VARCHAR(20)" json:"me_partrule_qtyassign-lastuser"`
	Credatuz      string          `xorm:"comment('创建时间') VARCHAR(14)" json:"me_partrule_qtyassign-credatuz"`
}

func (t *MePartRuleQtyassign) TableName() string {
	return "me_partrule_qtyassign"
}

// 清除string字段的右侧空格
func (t *MePartRuleQtyassign) Clipped() {
	utils.TrimStruct(t, *t)
}
