package models

import "LAPP_SJA_ME/utils"

type MeSupplyGroupAssignment struct {
	Finr           int    `xorm:"pk comment('工厂号') int(0)" json:"me_supplygroup_assignment-finr"`
	Supplygroupid  string `xorm:"pk comment('供应组Id') VARCHAR(20)" json:"me_supplygroup_assignment-supplygroupid"`
	Pos            int    `xorm:"pk comment('属性ID') int(0)" json:"me_supplygroup_assignment-pos"`
	Fsupplygroupid string `xorm:"comment('父供应组Id') VARCHAR(40)" json:"me_supplygroup_assignment-fsupplygroupid"`
	Assignfactor1  string `xorm:"comment('因子1') VARCHAR(40)" json:"me_supplygroup_assignment-assignfactor1"`
	Assignfactor2  string `xorm:"comment('因子2') VARCHAR(40)" json:"me_supplygroup_assignment-assignfactor2"`
	Lastmodif      string `xorm:"comment('最近一次更改时间') VARCHAR(14)" json:"me_supplygroup_assignment-lastmodif"`
	Lastuser       string `xorm:"comment('最近一次更改人') VARCHAR(20)" json:"me_supplygroup_assignment-lastuser"`
	Credatuz       string `xorm:"comment('创建时间') VARCHAR(14)" json:"me_supplygroup_assignment-credatuz"`
}

func (t *MeSupplyGroupAssignment) TableName() string {
	return "me_supplygroup_assignment"
}

// 清除string字段的右侧空格
func (t *MeSupplyGroupAssignment) Clipped() {
	utils.TrimStruct(t, *t)
}
