package models

import "LAPP_SJA_ME/utils"

type MeSupplyGroupAtcodlst struct {
	Finr          int    `xorm:"pk comment('工厂号') int(0)" json:"me_supplygroup_atcodlst-finr"`
	Supplygroupid string `xorm:"pk comment('供应组Id') VARCHAR(20)" json:"me_supplygroup_atcodlst-supplygroupid"`
	Attrcode      int    `xorm:"pk comment('属性ID') int(0)" json:"me_supplygroup_atcodlst-attrcode"`
	Mandatory     int    `xorm:"comment('属性ID') int(0)" json:"me_supplygroup_atcodlst-mandatory"`
	Verifyrule    string `xorm:"comment('项目Id') VARCHAR(40)" json:"me_supplygroup_atcodlst-verifyrule"`
	Attrvalue1    string `xorm:"comment('项目Id') VARCHAR(40)" json:"me_supplygroup_atcodlst-attrvalue1"`
	Attrvalue2    string `xorm:"comment('项目Id') VARCHAR(40)" json:"me_supplygroup_atcodlst-attrvalue2"`
	Lastmodif     string `xorm:"comment('最近一次更改时间') VARCHAR(14)" json:"me_supplygroup_atcodlst-lastmodif"`
	Lastuser      string `xorm:"comment('最近一次更改人') VARCHAR(20)" json:"me_supplygroup_atcodlst-lastuser"`
	Credatuz      string `xorm:"comment('创建时间') VARCHAR(14)" json:"me_supplygroup_atcodlst-credatuz"`
}

func (t *MeSupplyGroupAtcodlst) TableName() string {
	return "me_supplygroup_atcodlst"
}

// 清除string字段的右侧空格
func (t *MeSupplyGroupAtcodlst) Clipped() {
	utils.TrimStruct(t, *t)
}
