package models

import "LAPP_SJA_ME/utils"

type PlnForecastHead struct {
	Finr                int    `xorm:"pk comment('工厂号') Int" json:"pln_forecast_head-finr"`
	Custplantnr         string `xorm:"pk comment('工厂号') VARCHAR(20)" json:"pln_forecast_head-custplantnr"`
	Serialnumber        string `xorm:"pk comment('流水号ID') VARCHAR(20)" json:"pln_forecast_head-serialnumber"`
	Forecastid          string `xorm:"pk comment('版本号') VARCHAR(20)" json:"pln_forecast_head-forecastid"`
	Status              string `xorm:"comment('是否解析') VARCHAR(5)" json:"pln_forecast_head-status"`
	Suppliercode        string `xorm:"comment('描述1') VARCHAR(20)" json:"pln_forecast_head-suppliercode"`
	Suppliername        string `xorm:"comment('项目ID') VARCHAR(20)" json:"pln_forecast_head-suppliername"`
	SupplierAddresscode string `xorm:"comment('年') VARCHAR(20)" json:"pln_forecast_head-supplier_addresscode"`
	Countrycode         string `xorm:"comment('月') VARCHAR(20)" json:"pln_forecast_head-countrycode"`
	Consigneecode       string `xorm:"comment('周') VARCHAR(20)" json:"pln_forecast_head-consigneecode"`
	DeliveryAddresscode string `xorm:"comment('周') VARCHAR(20)" json:"pln_forecast_head-delivery_addresscode"`
	Edifile             string `xorm:"comment('周') VARCHAR(20)" json:"pln_forecast_head-edifile"`
	Lastmodif           string `xorm:"comment('最近一次更改时间') VARCHAR(14)" json:"pln_forecast_head-lastmodif"`
	Lastuser            string `xorm:"comment('最近一次更改人') VARCHAR(20)" json:"pln_forecast_head-lastuser"`
	Credatuz            string `xorm:"comment('创建时间') VARCHAR(14)" json:"pln_forecast_head-credatuz"`
}

func (t *PlnForecastHead) TableName() string {
	return "pln_forecast_head"
}

// 清除string字段的右侧空格
func (t *PlnForecastHead) Clipped() {
	utils.TrimStruct(t, *t)
}
