package models

import "LAPP_SJA_ME/utils"

type PlnForecastItemDemandlst struct {
	Finr         int    `xorm:"pk comment('工厂号') Int" json:"pln_forecast_item_demandlst-finr"`
	Serialnumber string `xorm:"pk comment('流水号ID') VARCHAR(20)" json:"pln_forecast_item_demandlst-serialnumber"`
	Forecastid   string `xorm:"pk comment('版本号') VARCHAR(20)" json:"pln_forecast_item_demandlst-forecastid"`
	Partid       string `xorm:"pk comment('零件ID') VARCHAR(20)" json:"pln_forecast_item_demandlst-partid"`
	Custplantnr  string `xorm:"comment('工厂号') VARCHAR(20)" json:"pln_forecast_item_demandlst-custplantnr"`
	Demandqty    int    `xorm:"comment('月') Int" json:"pln_forecast_item_demandlst-demandqty"`
	Startdate    string `xorm:"pk comment('周')  VARCHAR(20)" json:"pln_forecast_item_demandlst-startdate"`
	Enddate      string `xorm:"comment('周')  VARCHAR(8)" json:"pln_forecast_item_demandlst-enddate"`
	Lastmodif    string `xorm:"comment('最近一次更改时间') VARCHAR(14)" json:"pln_forecast_item_demandlst-lastmodif"`
	Lastuser     string `xorm:"comment('最近一次更改人') VARCHAR(20)" json:"pln_forecast_item_demandlst-lastuser"`
	Credatuz     string `xorm:"comment('创建时间') VARCHAR(14)" json:"pln_forecast_item_demandlst-credatuz"`
}

func (t *PlnForecastItemDemandlst) TableName() string {
	return "pln_forecast_item_demandlst"
}

// 清除string字段的右侧空格
func (t *PlnForecastItemDemandlst) Clipped() {
	utils.TrimStruct(t, *t)
}
