package models

import "LAPP_SJA_ME/utils"

type PlnForecastItem struct {
	Finr            int    `xorm:"pk comment('工厂号') Int" json:"pln_forecast_item-finr"`
	Forecastid      string `xorm:"pk comment('版本号') VARCHAR(20)" json:"pln_forecast_item-forecastid"`
	Serialnumber    string `xorm:"pk comment('流水号ID') VARCHAR(20)" json:"pln_forecast_item-serialnumber"`
	Partid          string `xorm:"pk comment('零件ID') VARCHAR(20)" json:"pln_forecast_item-partid"`
	Descr           string `xorm:"comment('描述1') VARCHAR(100)" json:"pln_forecast_item-descr"`
	Custplantnr     string `xorm:"comment('工厂号') VARCHAR(20)" json:"pln_forecast_item-custplantnr"`
	Uom             string `xorm:"comment('描述1')  VARCHAR(20)" json:"pln_forecast_item-uom"`
	Purchaseorder   string `xorm:"comment('项目ID') VARCHAR(20)" json:"pln_forecast_item-purchaseorder"`
	Mrpdate         string `xorm:"comment('年')  VARCHAR(8)" json:"pln_forecast_item-mrpdate"`
	Totalqty        int    `xorm:"comment('月') Int" json:"pln_forecast_item-totalqty"`
	MaterialPlanner string `xorm:"comment('周') VARCHAR(100)" json:"pln_forecast_item-material_planner"`
	DeliveryDocnr   string `xorm:"comment('周')  VARCHAR(20)" json:"pln_forecast_item-delivery_docnr"`
	DeliveryDocdate string `xorm:"comment('周')  VARCHAR(8)" json:"pln_forecast_item-delivery_docdate"`
	Lastmodif       string `xorm:"comment('最近一次更改时间') VARCHAR(14)" json:"pln_forecast_item-lastmodif"`
	Lastuser        string `xorm:"comment('最近一次更改人') VARCHAR(20)" json:"pln_forecast_item-lastuser"`
	Credatuz        string `xorm:"comment('创建时间') VARCHAR(14)" json:"pln_forecast_item-credatuz"`
}

func (t *PlnForecastItem) TableName() string {
	return "pln_forecast_item"
}

// 清除string字段的右侧空格
func (t *PlnForecastItem) Clipped() {
	utils.TrimStruct(t, *t)
}
